## ros-rolling-yaml-cpp-vendor 8.0.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(yaml_cpp_vendor)

option(FORCE_BUILD_VENDOR_PKG
  "Build yaml-cpp from source, even if system-installed package is available"
  OFF)

find_package(ament_cmake REQUIRED)

macro(build_yaml_cpp)
  set(extra_cmake_args)

  if(DEFINED CMAKE_BUILD_TYPE)
    list(APPEND extra_cmake_args -DCMAKE_BUILD_TYPE=${CMAKE_BUILD_TYPE})
  endif()
  if(NOT WIN32)
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -w")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++14 -w")
  endif()

  list(APPEND extra_cmake_args "-DYAML_CPP_BUILD_TESTS=OFF")
  list(APPEND extra_cmake_args "-DYAML_CPP_BUILD_TOOLS=OFF")
  list(APPEND extra_cmake_args "-DYAML_CPP_BUILD_CONTRIB=OFF")
  list(APPEND extra_cmake_args "-DYAML_BUILD_SHARED_LIBS=ON")
  list(APPEND extra_cmake_args "-DCMAKE_CXX_COMPILER=${CMAKE_CXX_COMPILER}")
  list(APPEND extra_cmake_args "-DCMAKE_CXX_FLAGS=${CMAKE_CXX_FLAGS}")

  if(WIN32 AND NOT ${CMAKE_VERBOSE_MAKEFILE})
    set(should_log ON)  # prevent warnings in Windows CI
  else()
    set(should_log OFF)
  endif()

  if(DEFINED CMAKE_TOOLCHAIN_FILE)
    list(APPEND extra_cmake_args "-DCMAKE_TOOLCHAIN_FILE=${CMAKE_TOOLCHAIN_FILE}")
  endif()

  include(ExternalProject)
  ExternalProject_Add(yaml_cpp-0.7.0
    URL https://github.com/jbeder/yaml-cpp/archive/yaml-cpp-0.7.0.tar.gz
    URL_MD5 74d646a3cc1b5d519829441db96744f0
    TIMEOUT 600
    LOG_CONFIGURE ${should_log}
    LOG_BUILD ${should_log}
    CMAKE_ARGS
      -DCMAKE_INSTALL_PREFIX=${CMAKE_CURRENT_BINARY_DIR}/yaml_cpp_install
      ${extra_cmake_args}
      -Wno-dev
  )

  # The external project will install to the build folder, but we'll install that on make install.
  install(
    DIRECTORY
      ${CMAKE_CURRENT_BINARY_DIR}/yaml_cpp_install/
    DESTINATION
      ${CMAKE_INSTALL_PREFIX}/opt/yaml_cpp_vendor
    USE_SOURCE_PERMISSIONS
  )
endmacro()

# NO_CMAKE_PACKAGE_REGISTRY used to avoid finding the library downloaded in WORKSPACE B
# when building workspace A.
# This should only find a system installed yaml-cpp and thus the environment hook isn't needed.
find_package(yaml-cpp QUIET NO_CMAKE_PACKAGE_REGISTRY)
if(FORCE_BUILD_VENDOR_PKG OR NOT yaml-cpp_FOUND)
  build_yaml_cpp()

  if(WIN32)
    ament_environment_hooks(env_hook/yaml_cpp_vendor_library_path.bat)
    set(ENV_VAR_NAME "PATH")
    set(ENV_VAR_VALUE "opt\\yaml_cpp_vendor\\bin")
  else()
    ament_environment_hooks(env_hook/yaml_cpp_vendor_library_path.sh)
    if(APPLE)
      set(ENV_VAR_NAME "DYLD_LIBRARY_PATH")
    else()
      set(ENV_VAR_NAME "LD_LIBRARY_PATH")
    endif()
    set(ENV_VAR_VALUE "opt/yaml_cpp_vendor/lib")
  endif()
  ament_environment_hooks(env_hook/yaml_cpp_vendor_library_path.dsv.in)
else()
  message(STATUS "Found yaml-cpp ${yaml-cpp_VERSION} in path ${yaml-cpp_CONFIG}")
endif()

ament_package(
  CONFIG_EXTRAS "yaml_cpp_vendor-extras.cmake.in"
)

=== debian/changelog ===
ros-rolling-yaml-cpp-vendor (8.0.0-1focal) focal; urgency=high

  * Upgrade to yaml-cpp 0.7.0 (#25 <https://github.com/ros2/yaml_cpp_vendor/issues/25>)
  * Contributors: Chris Lalancette

 -- Audrow Nash <audrow@openrobotics.org>  Fri, 04 Feb 2022 05:00:00 -0000

ros-rolling-yaml-cpp-vendor (7.1.1-1focal) focal; urgency=high

  * Update maintainers to Audrow Nash (#26 <https://github.com/ros2/yaml_cpp_vendor/issues/26>)
  * Fix handling of CMAKE_C[XX]_FLAGS lists (#24 <https://github.com/ros2/yaml_cpp_vendor/issues/24>)
  * Contributors: Christophe Bedard, Scott K Logan

 -- Audrow Nash <audrow@openrobotics.org>  Tue, 07 Dec 2021 05:00:00 -0000

ros-rolling-yaml-cpp-vendor (7.1.0-1focal) focal; urgency=high

  * Always preserve source permissions in vendor packages (#22 <https://github.com/ros2/yaml_cpp_vendor/issues/22>)
  * Add an override flag to force vendored build (#21 <https://github.com/ros2/yaml_cpp_vendor/issues/21>)
  * Reapply "Use system installed yaml-cpp 0.6 if available (#8 <https://github.com/ros2/yaml_cpp_vendor/issues/8>)" (#16 <https://github.com/ros2/yaml_cpp_vendor/issues/16>)
  * Revert "Use system installed yaml-cpp 0.6 if available (#8 <https://github.com/ros2/yaml_cpp_vendor/issues/8>)" (#15 <https://github.com/ros2/yaml_cpp_vendor/issues/15>)
  * Use system installed yaml-cpp 0.6 if available (#8 <https://github.com/ros2/yaml_cpp_vendor/issues/8>)
  * Contributors: Ivan Santiago Paunovic, Scott K Logan, Sean Yen

 -- William Woodall <william@osrfoundation.org>  Thu, 18 Mar 2021 04:00:00 -0000

ros-rolling-yaml-cpp-vendor (7.0.2-1focal) focal; urgency=high

  * Append to CMAKE_C_FLAGS instead of overwriting (#11 <https://github.com/ros2/yaml_cpp_vendor/issues/11>)
  * Export yaml-cpp via modern cmake (#9 <https://github.com/ros2/yaml_cpp_vendor/issues/9>)
  * Contributors: Karsten Knese, dodsonmg

 -- William Woodall <william@osrfoundation.org>  Tue, 26 May 2020 04:00:00 -0000

ros-rolling-yaml-cpp-vendor (7.0.1-1focal) focal; urgency=high



 -- William Woodall <william@osrfoundation.org>  Mon, 27 Apr 2020 04:00:00 -0000

ros-rolling-yaml-cpp-vendor (7.0.0-1focal) focal; urgency=high

  * add .dsv file beside custom environment hook (#7 <https://github.com/ros2/yaml_cpp_vendor/issues/7>)
    Signed-off-by: Dirk Thomas <mailto:dirk-thomas@users.noreply.github.com>
  * Contributors: Dirk Thomas

 -- William Woodall <william@osrfoundation.org>  Thu, 19 Sep 2019 04:00:00 -0000

ros-rolling-yaml-cpp-vendor (6.0.1-1focal) focal; urgency=high

  * Pass CMAKE_TOOLCHAIN_FILE if crosscompiling (#6 <https://github.com/ros2/yaml_cpp_vendor/issues/6>)
  * Contributors: Esteve Fernandez

 -- William Woodall <william@osrfoundation.org>  Wed, 08 May 2019 04:00:00 -0000

ros-rolling-yaml-cpp-vendor (6.0.0-1focal) focal; urgency=high

  * Pass through compiler and c++ flags (#4 <https://github.com/ros2/yaml_cpp_vendor/issues/4>)
  * Contributors: Emerson Knapp

 -- William Woodall <william@osrfoundation.org>  Thu, 11 Apr 2019 04:00:00 -0000

ros-rolling-yaml-cpp-vendor (5.0.0-1focal) focal; urgency=high

  * Renaming rviz_yaml_cpp_vendor to yaml_cpp_vendor (#1 <https://github.com/ros2/yaml_cpp_vendor/issues/1>)
    * Change names from rviz_yaml_cpp to yaml_cpp.
  * use latest yamlcpp commit to fix compilation with vc15.8.1 (#353 <https://github.com/ros2/yaml_cpp_vendor/issues/353>)
  * Contributors: Michael Carroll, Mikael Arguedas

 -- William Woodall <william@osrfoundation.org>  Thu, 29 Nov 2018 05:00:00 -0000

ros-rolling-yaml-cpp-vendor (4.0.1-1focal) focal; urgency=high



 -- William Woodall <william@osrfoundation.org>  Thu, 28 Jun 2018 04:00:00 -0000

ros-rolling-yaml-cpp-vendor (4.0.0-1focal) focal; urgency=high

  * Fixed build with yaml-cpp installed system-wide. (#160 <https://github.com/ros2/rviz/issues/160>)
  * Contributors: Martin Idel, mjbogusz

 -- William Woodall <william@osrfoundation.org>  Wed, 27 Jun 2018 04:00:00 -0000

ros-rolling-yaml-cpp-vendor (3.0.0-1focal) focal; urgency=high

  * Numerous changes to support Windows.
  * Contributors: William Woodall

 -- William Woodall <william@osrfoundation.org>  Wed, 07 Feb 2018 05:00:00 -0000

ros-rolling-yaml-cpp-vendor (2.0.0-1focal) focal; urgency=high

  * First version for ROS 2.
  * Contributors: Steven! Ragnarok, William Woodall

 -- William Woodall <william@osrfoundation.org>  Fri, 08 Dec 2017 05:00:00 -0000

ros-rolling-yaml-cpp-vendor (1.12.11-1focal) focal; urgency=high



 -- William Woodall <william@osrfoundation.org>  Wed, 02 Aug 2017 04:00:00 -0000

ros-rolling-yaml-cpp-vendor (1.12.10-1focal) focal; urgency=high



 -- William Woodall <william@osrfoundation.org>  Mon, 05 Jun 2017 21:37:00 -0000

ros-rolling-yaml-cpp-vendor (1.12.9-1focal) focal; urgency=high



 -- William Woodall <william@osrfoundation.org>  Mon, 05 Jun 2017 18:23:00 -0000

ros-rolling-yaml-cpp-vendor (1.12.8-1focal) focal; urgency=high



 -- William Woodall <william@osrfoundation.org>  Sun, 07 May 2017 04:00:00 -0000

ros-rolling-yaml-cpp-vendor (1.12.7-1focal) focal; urgency=high



 -- William Woodall <william@osrfoundation.org>  Fri, 05 May 2017 04:00:00 -0000

ros-rolling-yaml-cpp-vendor (1.12.6-1focal) focal; urgency=high



 -- William Woodall <william@osrfoundation.org>  Tue, 02 May 2017 04:00:00 -0000

ros-rolling-yaml-cpp-vendor (1.12.5-1focal) focal; urgency=high



 -- William Woodall <william@osrfoundation.org>  Mon, 01 May 2017 04:00:00 -0000

ros-rolling-yaml-cpp-vendor (1.12.4-1focal) focal; urgency=high



 -- William Woodall <william@osrfoundation.org>  Thu, 27 Oct 2016 04:00:00 -0000

ros-rolling-yaml-cpp-vendor (1.12.3-1focal) focal; urgency=high



 -- William Woodall <william@osrfoundation.org>  Wed, 19 Oct 2016 04:00:00 -0000

ros-rolling-yaml-cpp-vendor (1.12.2-1focal) focal; urgency=high



 -- William Woodall <william@osrfoundation.org>  Tue, 18 Oct 2016 04:00:00 -0000

ros-rolling-yaml-cpp-vendor (1.12.1-1focal) focal; urgency=high





=== debian/control ===
Source: ros-rolling-yaml-cpp-vendor
Section: misc
Priority: optional
Maintainer: Audrow Nash <audrow@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), ros-rolling-ament-cmake, ros-rolling-ros-workspace
Homepage: https://github.com/jbeder/yaml-cpp
Standards-Version: 3.9.2

Package: ros-rolling-yaml-cpp-vendor
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-rolling-ros-workspace
Description: Wrapper around yaml-cpp, it provides a fixed CMake module and an ExternalProject build of it.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/rolling/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-rolling-yaml-cpp-vendor//opt/ros/rolling/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_install

## ros-rolling-yaml-cpp-vendor 8.3.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10)
project(yaml_cpp_vendor CXX)

find_package(ament_cmake REQUIRED)
find_package(ament_cmake_vendor_package REQUIRED)

ament_add_default_options()

# NO_CMAKE_PACKAGE_REGISTRY used to avoid finding the library downloaded in WORKSPACE B
# when building workspace A.
# This should only find a system installed yaml-cpp and thus the environment hook isn't needed.
find_package(yaml-cpp QUIET NO_CMAKE_PACKAGE_REGISTRY)

set(YAML_CPP_CXX_FLAGS "${CMAKE_CXX_FLAGS}")
if(MSVC)
  set(YAML_CPP_CXX_FLAGS "/wd4251 /wd4275 ${YAML_CPP_CXX_FLAGS}")
endif()

ament_vendor(yaml_cpp_vendor
  SATISFIED ${yaml-cpp_FOUND}
  VCS_URL https://github.com/jbeder/yaml-cpp.git
  VCS_VERSION yaml-cpp-0.7.0
  CMAKE_ARGS
    "-DCMAKE_CXX_FLAGS=${YAML_CPP_CXX_FLAGS}"
    -DYAML_CPP_BUILD_CONTRIB:BOOL=OFF
    -DYAML_CPP_BUILD_TESTS:BOOL=OFF
    -DYAML_CPP_BUILD_TOOLS:BOOL=OFF
    -DYAML_BUILD_SHARED_LIBS:BOOL=${BUILD_SHARED_LIBS}
)

ament_package(
  CONFIG_EXTRAS "yaml_cpp_vendor-extras.cmake.in"
)

=== debian/changelog ===
ros-rolling-yaml-cpp-vendor (8.3.0-1jammy) jammy; urgency=high

  * Switch to ament_cmake_vendor_package (#43 <https://github.com/ros2/yaml_cpp_vendor/issues/43>)
  * Revamp the extras file to find the correct version. (#42 <https://github.com/ros2/yaml_cpp_vendor/issues/42>)
  * Contributors: Chris Lalancette, Scott K Logan

 -- Scott K Logan <scott@openrobotics.org>  Tue, 11 Jul 2023 00:00:00 -0000

ros-rolling-yaml-cpp-vendor (8.2.0-1jammy) jammy; urgency=high



 -- Scott K Logan <scott@openrobotics.org>  Fri, 28 Apr 2023 00:00:00 -0000

ros-rolling-yaml-cpp-vendor (8.1.2-1jammy) jammy; urgency=high

  * [rolling] Update maintainers - 2022-11-07 (#40 <https://github.com/ros2/yaml_cpp_vendor/issues/40>)
  * Contributors: Audrow Nash

 -- Scott K Logan <scott@openrobotics.org>  Mon, 13 Feb 2023 00:00:00 -0000

ros-rolling-yaml-cpp-vendor (8.1.1-1jammy) jammy; urgency=high

  * Export YAML_CPP_DLL define on Windows (#30 <https://github.com/ros2/yaml_cpp_vendor/issues/30>) (#38 <https://github.com/ros2/yaml_cpp_vendor/issues/38>)
  * Contributors: Jacob Perron

 -- Scott K Logan <scott@openrobotics.org>  Wed, 02 Nov 2022 00:00:00 -0000

ros-rolling-yaml-cpp-vendor (8.1.0-1jammy) jammy; urgency=high

  * Sets CMP0135 policy behavior to NEW (#36 <https://github.com/ros2/yaml_cpp_vendor/issues/36>)
  * Fixes policy CMP0135 warning for CMake >= 3.24 (#35 <https://github.com/ros2/yaml_cpp_vendor/issues/35>)
  * build shared lib only if BUILD_SHARED_LIBS is set (#34 <https://github.com/ros2/yaml_cpp_vendor/issues/34>)
  * Mirror rolling to master
  * Contributors: Audrow Nash, Cristóbal Arroyo, hannes09

 -- Scott K Logan <scott@openrobotics.org>  Tue, 13 Sep 2022 00:00:00 -0000

ros-rolling-yaml-cpp-vendor (8.0.1-1jammy) jammy; urgency=high

  * Add missing dependency on yaml-cpp (#32 <https://github.com/ros2/yaml_cpp_vendor/issues/32>)
  * Contributors: Scott K Logan

 -- Scott K Logan <scott@openrobotics.org>  Wed, 13 Apr 2022 00:00:00 -0000

ros-rolling-yaml-cpp-vendor (8.0.0-1jammy) jammy; urgency=high

  * Upgrade to yaml-cpp 0.7.0 (#25 <https://github.com/ros2/yaml_cpp_vendor/issues/25>)
  * Contributors: Chris Lalancette

 -- Scott K Logan <scott@openrobotics.org>  Fri, 04 Feb 2022 00:00:00 -0000

ros-rolling-yaml-cpp-vendor (7.1.1-1jammy) jammy; urgency=high

  * Update maintainers to Audrow Nash (#26 <https://github.com/ros2/yaml_cpp_vendor/issues/26>)
  * Fix handling of CMAKE_C[XX]_FLAGS lists (#24 <https://github.com/ros2/yaml_cpp_vendor/issues/24>)
  * Contributors: Christophe Bedard, Scott K Logan

 -- Scott K Logan <scott@openrobotics.org>  Tue, 07 Dec 2021 00:00:00 -0000

ros-rolling-yaml-cpp-vendor (7.1.0-1jammy) jammy; urgency=high

  * Always preserve source permissions in vendor packages (#22 <https://github.com/ros2/yaml_cpp_vendor/issues/22>)
  * Add an override flag to force vendored build (#21 <https://github.com/ros2/yaml_cpp_vendor/issues/21>)
  * Reapply "Use system installed yaml-cpp 0.6 if available (#8 <https://github.com/ros2/yaml_cpp_vendor/issues/8>)" (#16 <https://github.com/ros2/yaml_cpp_vendor/issues/16>)
  * Revert "Use system installed yaml-cpp 0.6 if available (#8 <https://github.com/ros2/yaml_cpp_vendor/issues/8>)" (#15 <https://github.com/ros2/yaml_cpp_vendor/issues/15>)
  * Use system installed yaml-cpp 0.6 if available (#8 <https://github.com/ros2/yaml_cpp_vendor/issues/8>)
  * Contributors: Ivan Santiago Paunovic, Scott K Logan, Sean Yen

 -- Scott K Logan <scott@openrobotics.org>  Thu, 18 Mar 2021 00:00:00 -0000

ros-rolling-yaml-cpp-vendor (7.0.2-1jammy) jammy; urgency=high

  * Append to CMAKE_C_FLAGS instead of overwriting (#11 <https://github.com/ros2/yaml_cpp_vendor/issues/11>)
  * Export yaml-cpp via modern cmake (#9 <https://github.com/ros2/yaml_cpp_vendor/issues/9>)
  * Contributors: Karsten Knese, dodsonmg

 -- Scott K Logan <scott@openrobotics.org>  Tue, 26 May 2020 00:00:00 -0000

ros-rolling-yaml-cpp-vendor (7.0.1-1jammy) jammy; urgency=high



 -- Scott K Logan <scott@openrobotics.org>  Mon, 27 Apr 2020 00:00:00 -0000

ros-rolling-yaml-cpp-vendor (7.0.0-1jammy) jammy; urgency=high

  * add .dsv file beside custom environment hook (#7 <https://github.com/ros2/yaml_cpp_vendor/issues/7>)
    Signed-off-by: Dirk Thomas <mailto:dirk-thomas@users.noreply.github.com>
  * Contributors: Dirk Thomas

 -- Scott K Logan <scott@openrobotics.org>  Thu, 19 Sep 2019 00:00:00 -0000

ros-rolling-yaml-cpp-vendor (6.0.1-1jammy) jammy; urgency=high

  * Pass CMAKE_TOOLCHAIN_FILE if crosscompiling (#6 <https://github.com/ros2/yaml_cpp_vendor/issues/6>)
  * Contributors: Esteve Fernandez

 -- Scott K Logan <scott@openrobotics.org>  Wed, 08 May 2019 00:00:00 -0000

ros-rolling-yaml-cpp-vendor (6.0.0-1jammy) jammy; urgency=high

  * Pass through compiler and c++ flags (#4 <https://github.com/ros2/yaml_cpp_vendor/issues/4>)
  * Contributors: Emerson Knapp

 -- Scott K Logan <scott@openrobotics.org>  Thu, 11 Apr 2019 00:00:00 -0000

ros-rolling-yaml-cpp-vendor (5.0.0-1jammy) jammy; urgency=high

  * Renaming rviz_yaml_cpp_vendor to yaml_cpp_vendor (#1 <https://github.com/ros2/yaml_cpp_vendor/issues/1>)
    * Change names from rviz_yaml_cpp to yaml_cpp.
  * use latest yamlcpp commit to fix compilation with vc15.8.1 (#353 <https://github.com/ros2/yaml_cpp_vendor/issues/353>)
  * Contributors: Michael Carroll, Mikael Arguedas

 -- Scott K Logan <scott@openrobotics.org>  Thu, 29 Nov 2018 00:00:00 -0000

ros-rolling-yaml-cpp-vendor (4.0.1-1jammy) jammy; urgency=high



 -- Scott K Logan <scott@openrobotics.org>  Thu, 28 Jun 2018 00:00:00 -0000

ros-rolling-yaml-cpp-vendor (4.0.0-1jammy) jammy; urgency=high

  * Fixed build with yaml-cpp installed system-wide. (#160 <https://github.com/ros2/rviz/issues/160>)
  * Contributors: Martin Idel, mjbogusz

 -- Scott K Logan <scott@openrobotics.org>  Wed, 27 Jun 2018 00:00:00 -0000

ros-rolling-yaml-cpp-vendor (3.0.0-1jammy) jammy; urgency=high

  * Numerous changes to support Windows.
  * Contributors: William Woodall



=== debian/control ===
Source: ros-rolling-yaml-cpp-vendor
Section: misc
Priority: optional
Maintainer: Scott K Logan <scott@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), libyaml-cpp-dev, ros-rolling-ament-cmake, ros-rolling-ament-cmake-vendor-package, ros-rolling-ros-workspace
Homepage: https://github.com/jbeder/yaml-cpp
Standards-Version: 3.9.2

Package: ros-rolling-yaml-cpp-vendor
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libyaml-cpp-dev, ros-rolling-ros-workspace
Description: Wrapper around yaml-cpp, it provides a fixed CMake module and an ExternalProject build of it.

=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,14 @@
 # Explicitly enable -DNDEBUG, see:
 # 	https://github.com/ros-infrastructure/bloom/issues/327
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
+endif
+
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 %:
-	dh $@ -v --buildsystem=cmake
+	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)
 
 override_dh_auto_configure:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -29,7 +34,8 @@
 	dh_auto_configure -- \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
 		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
-		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"
+		-DCMAKE_PREFIX_PATH="/opt/ros/rolling" \
+		$(BUILD_TESTING_ARG)
 
 override_dh_auto_build:
 	# In case we're installing to a non-standard location, look for a setup.sh
